> For the complete documentation index, see [llms.txt](https://docs.goproxies.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.goproxies.com/proxies/resellers-api-v3/reference/statistics.md).

# Statistics

## GET /api/v3/stats/traffic

> Traffic used per hour, day or week (UTC)

````json
{"openapi":"3.0.3","info":{"title":"Ragutis","version":"1.0.0"},"tags":[{"description":"Traffic statistics.","name":"Statistics"}],"servers":[{"url":"/"}],"security":[{"userBearerAuth":[]}],"components":{"securitySchemes":{"userBearerAuth":{"bearerFormat":"JWT","description":"Bearer authentication with sentinel token for users.\n\nYou can use the following command to get the bearer token:\n\n```\ncurl -d '{\"username\":\"<username>\", \"password\":\"<password>\", \"pool\":\"<pool>\"}' -H \"Content-Type: application/json\" -X POST -s https://<sentinel/sentinel-testnet>.mysterium.network/api/v1/auth/password | jq -r '.auth_token'\n```\n\nSubstitute `<username>`, `<password>` and `<pool>` with your credentials.\nUse `sentinel` or `sentinel-testnet` as depending on the environment.\n","scheme":"bearer","type":"http"}},"schemas":{"StatsV3Interval":{"default":"day","enum":["hour","day","week"],"type":"string"},"StatsV3Traffic":{"properties":{"buckets":{"items":{"$ref":"#/components/schemas/StatsV3TrafficBucket"},"type":"array"},"bytes":{"format":"int64","type":"integer"},"filter":{"$ref":"#/components/schemas/StatsV3Filter"},"subusers":{"description":"Present with `group_by=subuser`. Only sub-users with traffic in the range are listed.","items":{"$ref":"#/components/schemas/StatsV3SubUserTraffic"},"type":"array"}},"required":["filter","bytes","buckets"],"type":"object"},"StatsV3TrafficBucket":{"properties":{"bytes":{"format":"int64","type":"integer"},"end":{"format":"date-time","type":"string"},"partial":{"description":"The bucket reaches into the current 10-minute slot, so its value can still grow","type":"boolean"},"start":{"format":"date-time","type":"string"}},"required":["start","end","bytes","partial"],"type":"object"},"StatsV3Filter":{"properties":{"country":{"type":"string"},"from":{"format":"date-time","type":"string"},"interval":{"$ref":"#/components/schemas/StatsV3Interval"},"plan_id":{"type":"string"},"product_id":{"type":"string"},"status":{"items":{"type":"integer"},"type":"array"},"status_not":{"items":{"type":"integer"},"type":"array"},"subscription_id":{"type":"string"},"to":{"format":"date-time","type":"string"},"username":{"items":{"type":"string"},"type":"array"}},"required":["from","to"],"type":"object"},"StatsV3SubUserTraffic":{"properties":{"buckets":{"items":{"$ref":"#/components/schemas/StatsV3TrafficBucket"},"type":"array"},"bytes":{"format":"int64","type":"integer"},"username":{"type":"string"}},"required":["username","bytes","buckets"],"type":"object"},"Error":{"properties":{"error":{"$ref":"#/components/schemas/Err"},"path":{"type":"string"},"status":{"type":"integer"}}},"Err":{"properties":{"code":{"type":"string"},"detail":{"type":"string"},"fields":{"additionalProperties":{"$ref":"#/components/schemas/FieldError"},"type":"object"},"message":{"type":"string"}}},"FieldError":{"properties":{"code":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/api/v3/stats/traffic":{"get":{"operationId":"getTrafficStatsV3","parameters":[{"description":"Start of the range (UTC, inclusive). A date (`2026-10-01`, midnight) or an RFC 3339 date-time\n(`2026-10-01T08:30:00Z`). Rounded down to 10 minutes. Defaults to the first day of the current month.\n","in":"query","name":"from","required":false,"schema":{"type":"string"}},{"description":"End of the range (UTC). A date means the whole day is included (`2026-10-06` = until `2026-10-07T00:00:00Z`);\na date-time is exclusive. Rounded down to 10 minutes and never later than now. Defaults to the end of today.\nThe range is limited to 100 days.\n","in":"query","name":"to","required":false,"schema":{"type":"string"}},{"description":"ISO 3166-1 alpha-2 country code","in":"query","name":"country","required":false,"schema":{"type":"string"}},{"in":"query","name":"subscription_id","required":false,"schema":{"type":"string"}},{"in":"query","name":"product_id","required":false,"schema":{"type":"string"}},{"in":"query","name":"plan_id","required":false,"schema":{"type":"string"}},{"description":"Limit to these sub-users (API keys)","in":"query","name":"username","required":false,"schema":{"items":{"type":"string"},"type":"array"}},{"description":"Bucket size. Buckets start at `from`; the last one ends at `to`.","in":"query","name":"interval","required":false,"schema":{"$ref":"#/components/schemas/StatsV3Interval"}},{"description":"Also break traffic down per sub-user","in":"query","name":"group_by","required":false,"schema":{"enum":["subuser"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatsV3Traffic"}}},"description":"OK"},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"unexpected error"}},"summary":"Traffic used per hour, day or week (UTC)","tags":["Statistics"]}}}}
````

## GET /api/v3/stats/requests

> Requests per hour, day or week (UTC)

````json
{"openapi":"3.0.3","info":{"title":"Ragutis","version":"1.0.0"},"tags":[{"description":"Traffic statistics.","name":"Statistics"}],"servers":[{"url":"/"}],"security":[{"userBearerAuth":[]}],"components":{"securitySchemes":{"userBearerAuth":{"bearerFormat":"JWT","description":"Bearer authentication with sentinel token for users.\n\nYou can use the following command to get the bearer token:\n\n```\ncurl -d '{\"username\":\"<username>\", \"password\":\"<password>\", \"pool\":\"<pool>\"}' -H \"Content-Type: application/json\" -X POST -s https://<sentinel/sentinel-testnet>.mysterium.network/api/v1/auth/password | jq -r '.auth_token'\n```\n\nSubstitute `<username>`, `<password>` and `<pool>` with your credentials.\nUse `sentinel` or `sentinel-testnet` as depending on the environment.\n","scheme":"bearer","type":"http"}},"schemas":{"StatsV3Interval":{"default":"day","enum":["hour","day","week"],"type":"string"},"StatsV3Requests":{"properties":{"buckets":{"items":{"$ref":"#/components/schemas/StatsV3RequestsBucket"},"type":"array"},"failed":{"format":"int64","type":"integer"},"failed_reasons":{"items":{"$ref":"#/components/schemas/StatsV3FailedReason"},"type":"array"},"filter":{"$ref":"#/components/schemas/StatsV3Filter"},"succeeded":{"format":"int64","type":"integer"}},"required":["filter","succeeded","failed","buckets","failed_reasons"],"type":"object"},"StatsV3RequestsBucket":{"properties":{"end":{"format":"date-time","type":"string"},"failed":{"format":"int64","type":"integer"},"partial":{"description":"The bucket reaches into the current 10-minute slot, so its value can still grow","type":"boolean"},"start":{"format":"date-time","type":"string"},"succeeded":{"format":"int64","type":"integer"}},"required":["start","end","succeeded","failed","partial"],"type":"object"},"StatsV3FailedReason":{"properties":{"count":{"format":"int64","type":"integer"},"message":{"type":"string"},"status":{"type":"string"}},"required":["status","message","count"],"type":"object"},"StatsV3Filter":{"properties":{"country":{"type":"string"},"from":{"format":"date-time","type":"string"},"interval":{"$ref":"#/components/schemas/StatsV3Interval"},"plan_id":{"type":"string"},"product_id":{"type":"string"},"status":{"items":{"type":"integer"},"type":"array"},"status_not":{"items":{"type":"integer"},"type":"array"},"subscription_id":{"type":"string"},"to":{"format":"date-time","type":"string"},"username":{"items":{"type":"string"},"type":"array"}},"required":["from","to"],"type":"object"},"Error":{"properties":{"error":{"$ref":"#/components/schemas/Err"},"path":{"type":"string"},"status":{"type":"integer"}}},"Err":{"properties":{"code":{"type":"string"},"detail":{"type":"string"},"fields":{"additionalProperties":{"$ref":"#/components/schemas/FieldError"},"type":"object"},"message":{"type":"string"}}},"FieldError":{"properties":{"code":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/api/v3/stats/requests":{"get":{"operationId":"getRequestsStatsV3","parameters":[{"description":"Start of the range (UTC, inclusive). A date (`2026-10-01`, midnight) or an RFC 3339 date-time\n(`2026-10-01T08:30:00Z`). Rounded down to 10 minutes. Defaults to the first day of the current month.\n","in":"query","name":"from","required":false,"schema":{"type":"string"}},{"description":"End of the range (UTC). A date means the whole day is included (`2026-10-06` = until `2026-10-07T00:00:00Z`);\na date-time is exclusive. Rounded down to 10 minutes and never later than now. Defaults to the end of today.\nThe range is limited to 100 days.\n","in":"query","name":"to","required":false,"schema":{"type":"string"}},{"description":"ISO 3166-1 alpha-2 country code","in":"query","name":"country","required":false,"schema":{"type":"string"}},{"in":"query","name":"subscription_id","required":false,"schema":{"type":"string"}},{"in":"query","name":"product_id","required":false,"schema":{"type":"string"}},{"in":"query","name":"plan_id","required":false,"schema":{"type":"string"}},{"description":"Limit to these sub-users (API keys)","in":"query","name":"username","required":false,"schema":{"items":{"type":"string"},"type":"array"}},{"description":"Bucket size. Buckets start at `from`; the last one ends at `to`.","in":"query","name":"interval","required":false,"schema":{"$ref":"#/components/schemas/StatsV3Interval"}},{"description":"Only requests that ended with these HTTP status codes","in":"query","name":"status","required":false,"schema":{"items":{"type":"integer"},"type":"array"}},{"description":"Exclude requests that ended with these HTTP status codes","in":"query","name":"status_not","required":false,"schema":{"items":{"type":"integer"},"type":"array"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatsV3Requests"}}},"description":"OK"},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"unexpected error"}},"summary":"Requests per hour, day or week (UTC)","tags":["Statistics"]}}}}
````

## GET /api/v3/stats/domains

> Top requested domains in the range

````json
{"openapi":"3.0.3","info":{"title":"Ragutis","version":"1.0.0"},"tags":[{"description":"Traffic statistics.","name":"Statistics"}],"servers":[{"url":"/"}],"security":[{"userBearerAuth":[]}],"components":{"securitySchemes":{"userBearerAuth":{"bearerFormat":"JWT","description":"Bearer authentication with sentinel token for users.\n\nYou can use the following command to get the bearer token:\n\n```\ncurl -d '{\"username\":\"<username>\", \"password\":\"<password>\", \"pool\":\"<pool>\"}' -H \"Content-Type: application/json\" -X POST -s https://<sentinel/sentinel-testnet>.mysterium.network/api/v1/auth/password | jq -r '.auth_token'\n```\n\nSubstitute `<username>`, `<password>` and `<pool>` with your credentials.\nUse `sentinel` or `sentinel-testnet` as depending on the environment.\n","scheme":"bearer","type":"http"}},"schemas":{"StatsV3Domains":{"properties":{"domains":{"items":{"$ref":"#/components/schemas/StatsV3Domain"},"type":"array"},"filter":{"$ref":"#/components/schemas/StatsV3Filter"}},"required":["filter","domains"],"type":"object"},"StatsV3Domain":{"properties":{"domain":{"type":"string"},"failed":{"format":"int64","type":"integer"},"succeeded":{"format":"int64","type":"integer"}},"required":["domain","succeeded","failed"],"type":"object"},"StatsV3Filter":{"properties":{"country":{"type":"string"},"from":{"format":"date-time","type":"string"},"interval":{"$ref":"#/components/schemas/StatsV3Interval"},"plan_id":{"type":"string"},"product_id":{"type":"string"},"status":{"items":{"type":"integer"},"type":"array"},"status_not":{"items":{"type":"integer"},"type":"array"},"subscription_id":{"type":"string"},"to":{"format":"date-time","type":"string"},"username":{"items":{"type":"string"},"type":"array"}},"required":["from","to"],"type":"object"},"StatsV3Interval":{"default":"day","enum":["hour","day","week"],"type":"string"},"Error":{"properties":{"error":{"$ref":"#/components/schemas/Err"},"path":{"type":"string"},"status":{"type":"integer"}}},"Err":{"properties":{"code":{"type":"string"},"detail":{"type":"string"},"fields":{"additionalProperties":{"$ref":"#/components/schemas/FieldError"},"type":"object"},"message":{"type":"string"}}},"FieldError":{"properties":{"code":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/api/v3/stats/domains":{"get":{"operationId":"getDomainsStatsV3","parameters":[{"description":"Start of the range (UTC, inclusive). A date (`2026-10-01`, midnight) or an RFC 3339 date-time\n(`2026-10-01T08:30:00Z`). Rounded down to 10 minutes. Defaults to the first day of the current month.\n","in":"query","name":"from","required":false,"schema":{"type":"string"}},{"description":"End of the range (UTC). A date means the whole day is included (`2026-10-06` = until `2026-10-07T00:00:00Z`);\na date-time is exclusive. Rounded down to 10 minutes and never later than now. Defaults to the end of today.\nThe range is limited to 100 days.\n","in":"query","name":"to","required":false,"schema":{"type":"string"}},{"description":"ISO 3166-1 alpha-2 country code","in":"query","name":"country","required":false,"schema":{"type":"string"}},{"in":"query","name":"subscription_id","required":false,"schema":{"type":"string"}},{"in":"query","name":"product_id","required":false,"schema":{"type":"string"}},{"in":"query","name":"plan_id","required":false,"schema":{"type":"string"}},{"description":"Limit to these sub-users (API keys)","in":"query","name":"username","required":false,"schema":{"items":{"type":"string"},"type":"array"}},{"description":"Only requests that ended with these HTTP status codes","in":"query","name":"status","required":false,"schema":{"items":{"type":"integer"},"type":"array"}},{"description":"Exclude requests that ended with these HTTP status codes","in":"query","name":"status_not","required":false,"schema":{"items":{"type":"integer"},"type":"array"}},{"in":"query","name":"limit","required":false,"schema":{"default":10,"maximum":50,"minimum":1,"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatsV3Domains"}}},"description":"OK"},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"unexpected error"}},"summary":"Top requested domains in the range","tags":["Statistics"]}}}}
````

## GET /api/v3/stats/countries

> Traffic per country in the range

````json
{"openapi":"3.0.3","info":{"title":"Ragutis","version":"1.0.0"},"tags":[{"description":"Traffic statistics.","name":"Statistics"}],"servers":[{"url":"/"}],"security":[{"userBearerAuth":[]}],"components":{"securitySchemes":{"userBearerAuth":{"bearerFormat":"JWT","description":"Bearer authentication with sentinel token for users.\n\nYou can use the following command to get the bearer token:\n\n```\ncurl -d '{\"username\":\"<username>\", \"password\":\"<password>\", \"pool\":\"<pool>\"}' -H \"Content-Type: application/json\" -X POST -s https://<sentinel/sentinel-testnet>.mysterium.network/api/v1/auth/password | jq -r '.auth_token'\n```\n\nSubstitute `<username>`, `<password>` and `<pool>` with your credentials.\nUse `sentinel` or `sentinel-testnet` as depending on the environment.\n","scheme":"bearer","type":"http"}},"schemas":{"StatsV3Countries":{"properties":{"countries":{"items":{"$ref":"#/components/schemas/StatsV3Country"},"type":"array"},"filter":{"$ref":"#/components/schemas/StatsV3Filter"}},"required":["filter","countries"],"type":"object"},"StatsV3Country":{"properties":{"bytes":{"format":"int64","type":"integer"},"country":{"type":"string"}},"required":["country","bytes"],"type":"object"},"StatsV3Filter":{"properties":{"country":{"type":"string"},"from":{"format":"date-time","type":"string"},"interval":{"$ref":"#/components/schemas/StatsV3Interval"},"plan_id":{"type":"string"},"product_id":{"type":"string"},"status":{"items":{"type":"integer"},"type":"array"},"status_not":{"items":{"type":"integer"},"type":"array"},"subscription_id":{"type":"string"},"to":{"format":"date-time","type":"string"},"username":{"items":{"type":"string"},"type":"array"}},"required":["from","to"],"type":"object"},"StatsV3Interval":{"default":"day","enum":["hour","day","week"],"type":"string"},"Error":{"properties":{"error":{"$ref":"#/components/schemas/Err"},"path":{"type":"string"},"status":{"type":"integer"}}},"Err":{"properties":{"code":{"type":"string"},"detail":{"type":"string"},"fields":{"additionalProperties":{"$ref":"#/components/schemas/FieldError"},"type":"object"},"message":{"type":"string"}}},"FieldError":{"properties":{"code":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/api/v3/stats/countries":{"get":{"operationId":"getCountriesStatsV3","parameters":[{"description":"Start of the range (UTC, inclusive). A date (`2026-10-01`, midnight) or an RFC 3339 date-time\n(`2026-10-01T08:30:00Z`). Rounded down to 10 minutes. Defaults to the first day of the current month.\n","in":"query","name":"from","required":false,"schema":{"type":"string"}},{"description":"End of the range (UTC). A date means the whole day is included (`2026-10-06` = until `2026-10-07T00:00:00Z`);\na date-time is exclusive. Rounded down to 10 minutes and never later than now. Defaults to the end of today.\nThe range is limited to 100 days.\n","in":"query","name":"to","required":false,"schema":{"type":"string"}},{"description":"ISO 3166-1 alpha-2 country code","in":"query","name":"country","required":false,"schema":{"type":"string"}},{"in":"query","name":"subscription_id","required":false,"schema":{"type":"string"}},{"in":"query","name":"product_id","required":false,"schema":{"type":"string"}},{"in":"query","name":"plan_id","required":false,"schema":{"type":"string"}},{"description":"Limit to these sub-users (API keys)","in":"query","name":"username","required":false,"schema":{"items":{"type":"string"},"type":"array"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatsV3Countries"}}},"description":"OK"},"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"unexpected error"}},"summary":"Traffic per country in the range","tags":["Statistics"]}}}}
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.goproxies.com/proxies/resellers-api-v3/reference/statistics.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
